## apt 0.8.15.6

=== debian/changelog ===
apt (0.8.15.6) unstable; urgency=low

  [ Michael Vogt ]
  * apt-pkg/contrib/fileutl.{cc,h}:
    - add GetModificationTime() helper
  * apt-pkg/pkgcachegen.cc:
    - regenerate the cache if the sources.list changes to ensure
      that changes in the ordering there will be honored by apt
  * apt-pkg/sourcelist.{cc,h}:
    - add pkgSourceList::GetLastModifiedTime() helper
  * apt-pkg/pkgcachegen.{cc,h}:
    - use ref-to-ptr semantic in NewDepends() to ensure that the   
      libapt does not segfault if the cache is remapped in between
      (LP: #812862)
    - fix crash when P.Arch() was used but the cache got remapped
  * test/integration/test-hashsum-verification:
    - add regression test for hashsum verification
  * apt-pkg/acquire-item.cc:
    - if no Release.gpg file is found, still load the hashes for
      verification (closes: #636314) and add test
  
  [ David Kalnischkies ]
  * lots of cppcheck fixes

 -- Michael Vogt <mvo@debian.org>  Mon, 15 Aug 2011 09:20:35 +0200
