=== debian/changelog ===
apt (0.8.15.9) unstable; urgency=low

  [ David Kalnischkies ]
  * Symbol file update
  * doc/apt-get.8.xml:
    - change wording of autoremove description as suggested
      by Robert Simmons, thanks! (Closes: #641490)
  * apt-pkg/deb/dpkgpm.cc:
    - use std::vector instead of fixed size arrays to store args and
      multiarch-packagename strings
    - load the dpkg base arguments only one time and reuse them later
  * cmdline/apt-get.cc:
    - follow Provides in the evaluation of saving candidates, too, for
      statisfying garbage package dependencies (Closes: #640590)
  * apt-pkg/algorithms.cc:
    - if a package is garbage, don't try to save it with FixByInstall
  * apt-pkg/init.cc:
    - silently ignore *.orig and *.save files by default
  * apt-pkg/policy.cc:
    - accept generic release pin expressions again in -t (Closes: #644166)
  * apt-pkg/deb/debmetaindex.cc:
    - none is a separator, not a language: no need for Index (Closes: #624218)
  * apt-pkg/aptconfiguration.cc:
    - do not builtin languages only if none is forced (Closes: #643787)
  * doc/apt.conf.5.xml:
    - apply spelling fix by Kevin Lyda, thanks! (Closes: #644104)

  [ Christian Perrier ]
  * Fix spelling error (sensée) in French translation. Thanks
    to Corentin Le Gall for spotting it.

  [ Colin Watson ]
  * ftparchive/cachedb.cc:
    - fix buffersize in bytes2hex

  [ Michael Vogt ]
  * ftparchive/cachedb.cc:
    - make buffer fully dynamic (thanks to Colin Watson)

 -- Michael Vogt <mvo@debian.org>  Fri, 14 Oct 2011 12:00:09 +0200
