## apt 0.8.16~exp4

=== debian/changelog ===
apt (0.8.16~exp4) experimental; urgency=low

  [ Julian Andres Klode ]
  * apt-pkg/pkgcache.h:
    - [ABI break] Add pkgCache::Header::CacheFileSize, storing the cache size
  * apt-pkg/pkgcachegen.cc:
    - Write the file size to the cache
  * apt-pkg/pkgcache.cc:
    - Check that cache is at least CacheFileSize bytes large (LP: #16467)
  
  [ Michael Vogt ]
  * merged latest fixes from debian-sid
  * apt-pkg/cdrom.{cc,h}:
    - cleanup old ABI break avoidance hacks
  * [ABI break] apt-pkg/acquire-item.{cc,h}:
    - cleanup around OptionalIndexTarget and SubIndexTarget
  * [ABI break] merged patch from Jonathan Thomas to have a new
    RecordField() function in the pkgRecorder parser. Many thanks
    Thomas
  * [ABI break] merge patch from Jonathan Thomas to speed up the
    depcache by caching the install-recommends and install-suggests
    values
  * apt-pkg/contrib/fileutl.{cc,h}:
    - add GetModificationTime() helper
  * apt-pkg/pkgcachegen.cc:
    - regenerate the cache if the sources.list changes to ensure
      that changes in the ordering there will be honored by apt
  * apt-pkg/sourcelist.{cc,h}:
    - add pkgSourceList::GetLastModifiedTime() helper

 -- Michael Vogt <mvo@debian.org>  Thu, 28 Jul 2011 16:57:08 +0200

apt (0.8.16~exp3) experimental; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/pkgcache.h:
    - readd All{Foreign,Allowed} as suggested by Julian to
      remain strictly API compatible
  * apt-pkg/acquire*.{cc,h}:
    - try even harder to support really big files in the fetcher by
      converting (hopefully) everything to 'long long' (Closes: #632271)
  * ftparchive/writer.cc:
    - generate all checksums in one run over the file for Release
  * cmdline/apt-get.cc:
    - add an --assume-no option for testing to say 'no' to everything
  * apt-pkg/deb/debmetaindex.cc:
    - add trusted=yes option to mark unsigned (local) repository as trusted
      based on a patch from Ansgar Burchardt, thanks a lot! (Closes: #596498)

  [ Michael Vogt ]
  * merge fixes from the debian/unstable upload
  * merge lp:~mvo/apt/sha512-template to get fixes for the 
    sha1/md5 verifiation (closes: #632520)

 -- Michael Vogt <mvo@debian.org>  Fri, 15 Jul 2011 09:56:17 +0200

apt (0.8.16~exp2) experimental; urgency=low

  [ David Kalnischkies ]
  * [ABI-Break] Implement EDSP in libapt-pkg so that all front-ends which
    use the internal resolver can now be used also with external
    ones as the usage is hidden in between the old API
  * provide two edsp solvers in apt-utils:
    - 'dump' to quickly output a complete scenario and
    - 'apt' to use the internal as an external resolver
  * apt-pkg/pkgcache.h:
    - clean up mess with the "all" handling in MultiArch to
      fix LP: #733741 cleanly for everyone now
  * apt-pkg/depcache.cc:
    - use a boolean instead of an int for Add/Remove in AddStates
      similar to how it works with AddSizes
    - let the Mark methods return if their marking was successful
    - if a Breaks can't be upgraded, remove it. If it or a Conflict
      can't be removed the installation of the breaker fails.
  * cmdline/apt-get.cc:
    - do not discard the error messages from the resolver and instead
      only show the general 'Broken packages' message if nothing else

  [ Stefano Zacchiroli ]
  * doc/external-dependency-solver-protocol.txt:
    - describe EDSP and the configuration interface around it
  
  [ Michael Vogt ]
  * [ABI-Break] merge lp:~mvo/apt/sha512-template to add support for sha512
  * [ABI-Break] merge lp:~mvo/apt/dpointer to support easier extending
    without breaking the ABI
  * increase ABI version and update package names

 -- Michael Vogt <mvo@debian.org>  Wed, 29 Jun 2011 13:57:28 +0200

apt (0.8.16~exp1) experimental; urgency=low

  * merged with the debian/unstable upload

 -- Michael Vogt <mvo@debian.org>  Wed, 29 Jun 2011 12:40:31 +0200

apt (0.8.15.5) UNRELEASED; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/deb/deblistparser.cc:
    - do not assume that the last char on a line is a \n (Closes: #633350)

 -- David Kalnischkies <kalnischkies@gmail.com>  Wed, 27 Jul 2011 23:25:45 +0200

apt (0.8.15~exp3) experimental; urgency=low

  * debian/control:
    - add Breaks: 0.8.15~exp3) for libapt-pkg4.10 and 
     libapt-inst1.2 (thanks to Jonathan Nieder, closes: #630214)
    - use depends for the ${shlibs:Depends} to make the breaks work

 -- Michael Vogt <mvo@debian.org>  Fri, 17 Jun 2011 21:51:41 +0200

apt (0.8.15~exp2) experimental; urgency=low

  * debian/control:
    - fix incorrect Replaces (closes: #630204) for libapt-inst1.2

 -- Michael Vogt <mvo@debian.org>  Wed, 15 Jun 2011 16:51:14 +0200

apt (0.8.15~exp1) experimental; urgency=low

  [ Julian Andres Klode ]
  * apt-pkg/depcache.cc:
    - Really release action groups only once (Closes: #622744)
    - Make purge work again for config-files (LP: #244598) (Closes: #150831)
  * apt-pkg/acquire-item.cc:
    - Reject files known to be invalid (LP: #346386) (Closes: #627642)
  * debian/apt.cron.daily:
    - Check power after wait, patch by manuel-soto (LP: #705269)
  * debian/control:
    - Move ${shlibs:Depends} to Pre-Depends, as we do not want APT
      unpacked if a library is too old and thus break upgrades
  * doc/apt-key.8.xml:
    - Document apt-key net-update (LP: #192810)

  [ Christian Perrier ]
  * Galician translation update (Miguel Anxo Bouzada). Closes: #626505
  * Italian translation update (Milo Casagrande). Closes: #627834
  * German documentation translation update (Chris Leick). Closes: #629949

  [ David Kalnischkies ]
  * fix a bunch of cppcheck warnings/errors based on a patch by
    Niels Thykier, thanks! (Closes: #622805)
  * apt-pkg/depcache.cc:
    - really include 'rc' packages in the delete count by fixing a
      typo which exists since 1999 in the source… (LP: #761175)
    - if critical or-group can't be satisfied, exit directly.
  * apt-pkg/acquire-method.cc:
    - write directly to stdout instead of creating the message in

