## apt 0.8.16~exp5

=== debian/changelog ===
apt (0.8.16~exp5) experimental; urgency=low

  * merged the latest debian-sid fixes
  * apt-pkg/makefile:
    - install sha256.h compat header
  * apt-pkg/pkgcachegen.{cc,h}:
    - use ref-to-ptr semantic in NewDepends() to ensure that the   
      libapt does not segfault if the cache is remapped in between
      (LP: #812862)
    - fix crash when P.Arch() was used but the cache got remapped
  * apt-pkg/acquire-item.{cc,h}:
    - do not check for a "Package" tag in optional index targets
      like the translations index
  * apt-pkg/acquire.cc:
    - fix potential divide-by-zero
  * methods/mirror.cc:
    - include the architecture(s) in the query string as well so 
      that the server can make better decisions

 -- Michael Vogt <mvo@debian.org>  Mon, 15 Aug 2011 14:52:54 +0200
