## apt 0.8.16~exp5ubuntu13

=== debian/changelog ===
apt (0.8.16~exp5ubuntu13) oneiric; urgency=low

  [ Adam Conrad ]
  * On armel, call update-apt-xapian-index with '-u' to keep the CPU
    and I/O usage low.  We would do this on all arches, but there's a
    regression risk here, but that's better than killing slow systems.
  
  [ Michael Vogt ]
  * cmdline/apt-key:
    - fix apt-key net-update, thanks to Marc Deslauriers and 
      Adam Conrad for the code review (LP: #857472)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 06 Oct 2011 16:14:41 +0200

apt (0.8.16~exp5ubuntu12) oneiric; urgency=low

  [ David Kalnischkies ]  
  * apt-pkg/deb/deblistparser.cc:
    - fix crash when the dynamic mmap needs to be remapped during
      LoadReleaseInfo (LP: #854090)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 26 Sep 2011 13:31:11 +0200

apt (0.8.16~exp5ubuntu11) oneiric; urgency=low

  [ Colin Watson ]
  * ftparchive/cachedb.cc:
    - fix buffersize in bytes2hex
  
  [ Marc Deslauriers ]
  * SECURITY UPDATE: Disable apt-key net-update for now, as validation
    code is insecure.
    - cmdline/apt-key: exit immediately out of net_update().
    - CVE number pending

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 22 Sep 2011 17:30:45 +0200

apt (0.8.16~exp5ubuntu10) oneiric; urgency=low

  * methods/https.cc:
    - cleanup broken downloads properly (just like http)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 20 Sep 2011 18:26:13 +0200

apt (0.8.16~exp5ubuntu9) oneiric; urgency=low

  [ Michael Vogt ]
  * apt-pkg/acquire-item.h, apt-pkg/deb/debmetaindex.cc:
    - fix fetching translated package descriptions (including the newly
      stripped out english ones) by adding OptionalSubIndexTarget

  [ David Kalnischkies ]
  * apt-pkg/acquire-item.cc:
    - if no Release.gpg file is found try to verify with hashes,
      but do not fail if a hash can't be found
  * apt-pkg/indexrecords.cc:
    - fix Acquire::Max-ValidTime option by interpreting it really
      as seconds as specified in the manpage and not as days
    - add an Acquire::Min-ValidTime option (Closes: #640122)
  * doc/apt.conf.5.xml:
    - reword Acquire::Max-ValidTime documentation to make clear
      that it doesn't provide the new Min-ValidTime functionality

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 16 Sep 2011 09:50:16 +0200

apt (0.8.16~exp5ubuntu8) oneiric; urgency=low

  * cherry pick r1825 from lp:~mvo/apt/mvo:
    * apt-pkg/contrib/configuration.cc:
    - fix double delete (LP: #848907)
    - ignore only the invalid regexp instead of all options

  * cherry pick r2165 from lp:~donkult/apt/sid:
    [ David Kalnischkies ]
    * cmdline/apt-get.cc:
      - output list of virtual package providers to c1out in -q=1
        instead of /dev/null to unbreak sbuild (LP: #816155)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 13 Sep 2011 18:23:09 +0200

apt (0.8.16~exp5ubuntu7) oneiric; urgency=low

  [ Michael Vogt ]
  * cherry pick revision 2173 from lp:~donkult/apt/sid
  
  [ David Kalnischkies ]
  - M-A:same lockstep unpack should operate on installed
    packages first (LP: #835625)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 13 Sep 2011 09:03:33 +0200

apt (0.8.16~exp5ubuntu6) oneiric; urgency=low

  [ Michael Vogt 
  * merged lp:~jr/ubuntu/oneiric/apt/bzr-get-rename, thanks to
    Jonathan Riddell
  
  [ David Kalnischkies ]
  * lots of cppcheck fixes
  * apt-pkg/packagemanager.cc, apt-pkg/pkgcache.cc:
    - ignore "self"-conflicts for all architectures of a package
      instead of just for the architecture of the package locked at
      in the ordering of installations too (Closes: #802901)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 17 Aug 2011 11:32:58 +0200

apt (0.8.16~exp5ubuntu5) oneiric; urgency=low

  * debian/control:
    - fix VCS location
  * methods/mirror.cc:
    - include the architecture(s) in the query string as well so 
      that the server can make better decisions

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 11 Aug 2011 18:03:19 +0200

apt (0.8.16~exp5ubuntu4) oneiric; urgency=low

  * Merge change from Robert Collins to upgrade ubuntu-keyring recommends
    to a hard dependency to match Debian behaviour and fix LP: #816606

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 09 Aug 2011 14:48:24 -0600

apt (0.8.16~exp5ubuntu3) oneiric; urgency=low

  * apt-pkg/acquire.cc:
    - fix potential divide-by-zero (LP: #823277)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 09 Aug 2011 15:56:44 +0200

apt (0.8.16~exp5ubuntu2) oneiric; urgency=low

  * test/integration/test-hashsum-verification:
    - add regression test for hashsum verification
  * apt-pkg/acquire-item.cc:
    - if no Release.gpg file is found, still load the hashes for
      verification (closes: #636314) and add test
  * apt-pkg/pkgcachegen.cc:
    - fix incorrect comparision when checking sources.list freshness

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 09 Aug 2011 09:22:14 +0200

apt (0.8.16~exp5ubuntu1) oneiric; urgency=low

  * merged new version from debian/experimental, this includes
    a ABI break and two new library packages

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 08 Aug 2011 14:30:07 +0200

apt (0.8.16~exp5) UNRELEASED; urgency=low

  * apt-pkg/makefile:
    - install sha256.h compat header
  * apt-pkg/pkgcachegen.{cc,h}:
    - use ref-to-ptr semantic in NewDepends() to ensure that the   
      libapt does not segfault if the cache is remapped in between
      (LP: #812862)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 29 Jul 2011 13:44:01 +0200

apt (0.8.15.5ubuntu1) oneiric; urgency=low

  * apt-pkg/pkgcachegen.{cc,h}:
    - fix crash when P.Arch() was used but the cache got remapped
      (LP: #812862)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 01 Aug 2011 15:18:50 +0200

apt (0.8.15.4ubuntu2) oneiric; urgency=low

  * apt-pkg/contrib/fileutl.{cc,h}:
    - add GetModificationTime() helper
  * apt-pkg/pkgcachegen.cc:
    - regenerate the cache if the sources.list changes to ensure

