## apt 0.8.16~exp5ubuntu13.6

=== debian/changelog ===
apt (0.8.16~exp5ubuntu13.6) oneiric-security; urgency=low

  * SECURITY UPDATE: change permissions of 
    /var/log/apt/term.log to 0640 (LP: #975199)
    - CVE-2012-0961

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 04 Dec 2012 15:27:51 +0100

apt (0.8.16~exp5ubuntu13.5) oneiric-security; urgency=low

  * SECURITY UPDATE: Disable apt-key net-update for now, as validation
    code is still insecure
    - cmdline/apt-key: exit 1 immediately in net_update()
    - CVE-2012-0954
    - LP: #1013639

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 15 Jun 2012 08:00:43 -0500

apt (0.8.16~exp5ubuntu13.4) oneiric-security; urgency=low

  * adjust apt-key to ensure no collisions on subkeys too. Patch thanks to
    Marc Deslauriers. (LP: #1013128)

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 14 Jun 2012 11:31:28 -0500

apt (0.8.16~exp5ubuntu13.3) oneiric-proposed; urgency=low

  [ Jean-Louis Dupond ]
  * Backport fixes from precise verison of apt, to fix multiarch upgrades
    from oneiric.
  * apt-pkg/depcache.cc:
    - prefer native providers over foreigns even if the chain is foreign.
      (LP: #850264)
  * cmdline/apt-get.cc: 
    - ignore foreign architectures if we check if a provides has only one 
      resolver as it's basically the same for the user, so no need to choose.
  * apt-pkg/deb/deblistparser.cc:
    - M-A: foreign packages provide for other archs, too

  [ Colin Watson ]
  * Include 0.8.16~exp5ubuntu13.1 patches.
  * apt-pkg/algorithms.cc: Iterate Breaks the same way as Conflicts, so that
    we resolve virtual package Breaks more effectively (LP: #922485).
  * apt-pkg/algorithms.{cc,h}: Use an int to represent resolver scores, not
    a signed short, because large upgrades can result in an overflow for
    core packages (LP: #917173).

 -- Jean-Louis Dupond <jean-louis@dupond.be>  Tue, 17 Apr 2012 14:43:00 +0200

apt (0.8.16~exp5ubuntu13.2) oneiric-security; urgency=low

  * SECURITY UPDATE: trust bypass via stale InRelease file (LP: #947108)
    - CVE-2012-0214
  * This packages does _not_ contain the changes from 0.8.16~exp5ubuntu13.1
    in oneiric-proposed.

  [ David Kalnischkies ]
  * apt-pkg/acquire-item.cc:
    - remove 'old' InRelease file if we can't get a new one before
      proceeding with Release.gpg to avoid the false impression of a still
      trusted repository by a (still present) old InRelease file.
      Thanks to Simon Ruderich for reporting this issue! (CVE-2012-0214)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 05 Mar 2012 10:51:50 -0500
