## apt 0.8.16~exp5ubuntu13.7

=== debian/changelog ===
apt (0.8.16~exp5ubuntu13.7) oneiric-security; urgency=low

  * SECURITY UPDATE: InRelease verification bypass
    - CVE-2013-1051

  [ David Kalnischk ]
  [ Michael Vogt ]
  * apt-pkg/deb/debmetaindex.cc,
    test/integration/test-bug-595691-empty-and-broken-archive-files,
    test/integration/test-releasefile-verification:
    - disable InRelease downloading until the verification issue is
      fixed, thanks to Ansgar Burchardt for finding the flaw

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 13 Mar 2013 11:32:35 -0400
