=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 # Made with the aid of dh_make, by Craig Small
 # Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
 # Some lines taken from debmake, by Christoph Lameter.
+
+# build in verbose mode by default to make it easy to diangose issues
+export NOISY=1
 
 export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
@@ -177,6 +180,8 @@
 # apt install
 #
 	cp debian/apt.conf.autoremove debian/$@/etc/apt/apt.conf.d/01autoremove
+	cp debian/apt.conf.changelog debian/$@/etc/apt/apt.conf.d/20changelog
+	cp share/ubuntu-archive.gpg debian/$@/usr/share/$@
 
 	# make rosetta happy and remove pot files in po/ (but leave stuff
 	# in po/domains/* untouched) and cp *.po into each domain dir
@@ -304,13 +309,3 @@
 	dh_prep -p$@
 	dh_installdirs -p$@
 
-	dh_install -p$@ --sourcedir=$(BLD)
-	dh_installdocs -p$@ debian/apt-transport-https.README
-	dh_installexamples -p$@
-
-	# Install the man pages..
-	dh_installman -p$@
-
-	dh_installchangelogs -p$@
-	dh_strip -p$@
-	dh_compress -p$@
