## apt 0.8.16~exp6

=== debian/changelog ===
apt (0.8.16~exp6) experimental; urgency=low

  [ Christopher Baines ]
  * enable APT in unpack/configure ordering to handle loops as well
    as tight dependencies between immediate packages better
    enabling also the possibility to mark all packages as immediate
    (at least Closes: #353290, #540227, #559733, #621836, #639290)

  [ David Kalnischkies ]
  * [abi-break] Support large files in the complete toolset. Indexes of this
    size are pretty unlikely for now, but we need it for deb
    packages which could become bigger than 4GB now (LP: #815895)
  * merged the debian-sid branch
  
  [ Michael Vogt ]
  * bump ABI version

 -- Michael Vogt <mvo@debian.org>  Wed, 14 Sep 2011 21:06:51 +0200
